
/*
   1-Array Challenge:
   Light up, then turn off LEDs one at a time.
*/

//create array of integers for LEDs
const int led[] = { 13, 3, 4, 5, 6, 7, 8, 9 };

void setup() {

  //set all LEDs to output
  for (int x = 0; x < 8; x++) {
    pinMode(led[x], OUTPUT);
  }
}

void loop() {

  //turn on LEDs one at a time
  for (int x = 0; x < 8; x++) {
    digitalWrite(led[x], HIGH);
    delay(200);
  }

  //hold for 500ms
  delay(200);

  //turn off LEDs one at a time
  for (int x = 7; x >= 0; x--) {
    digitalWrite(led[x], LOW);
    delay(200);
  }

  //hold for 500ms
  delay(200);
}
