
/*
   3-Random Challenge:
   Turn on random LEDs one at a time, for a random period of time.
*/

//integer for random delay time when speaker is ON
int onTime = 0;
//integer for random delay time when speaker is OFF
int offTime = 0;

//integer for random LED
int ledChoice = 0;

//create array of integers for LEDs
const int led[] = { 13, 3, 4, 5, 6, 7, 8, 9 };

void setup() {

  //set all LEDs to output
  for (int x = 0; x < 8; x++) {
    //use array index to refer to each LED
    pinMode(led[x], OUTPUT);
  }
}

void loop() {

  //Choose random LED (0 - 7)
  ledChoice = random(8);  
  //assign random number for delay up to 400ms (ON)
  onTime = random(400);
  
  //turn LED on for onTime
  digitalWrite(led[ledChoice], HIGH);
  delay(onTime);

  //assign random number for delay up to 400ms (OFF)
  offTime = random(200);

  //turn LED off for offTime
  digitalWrite(led[ledChoice], LOW);
  delay(offTime);
}
